﻿using DeviceRepair.Models.Enum;
using Newtonsoft.Json;
using System;

namespace DeviceRepair.Models
{
    [Serializable]
    public class SheetDataItem
    {
        public int ColumnIndex { get; set; }

        public int RowIndex { get; set; }

        public object Value { get; set; }

        public EnumMaintenanceType MaintenanceType { get; set; }

        public string MaintenanceTypeValue { get; set; }

        public EnumMaintenanceBanciType BanciType { get; set; }

        [JsonIgnore]
        [NonSerialized]
        public Guid Sign;
    }
}
