﻿using SqlSugar;
using System;

namespace DeviceRepair.Models
{
    /// <summary>
    /// SysConfigInfo
    /// </summary>
    [SugarTable("sysConfig")]
    public class SysConfigInfo
    {
        /// <summary>
        /// 默认构造函数（需要初始化属性的在此处理）
        /// </summary>
        public SysConfigInfo()
        {

        }

        #region Property Members

        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public virtual int AutoID { get; set; }

        public virtual string Code { get; set; }

        public virtual string GroupKey { get; set; }

        public virtual string Name { get; set; }

        public virtual string Description { get; set; }

        public virtual string Value { get; set; }

        public virtual int CreateBy { get; set; }

        public virtual DateTime CreateDate { get; set; }

        public virtual int ModifyBy { get; set; }

        public virtual DateTime ModifyDate { get; set; }

        public virtual bool Status { get; set; }

        public virtual string CtlType { get; set; }

        public virtual bool CanNull { get; set; }

        public virtual string DefaultValue { get; set; }

        public virtual string DataType { get; set; }


        #endregion

    }
}
