﻿using SqlSugar;
using System;

namespace DeviceRepair.Models
{
    /// <summary>
    /// DeviceRouteInfo
    /// </summary>
    [SugarTable("DeviceRoute")]
    public class DeviceRouteInfo
    {
        /// <summary>
        /// 默认构造函数（需要初始化属性的在此处理）
        /// </summary>
        public DeviceRouteInfo()
        {
            this.GUID = System.Guid.NewGuid();
            this.Status = true;
            this.CreatDate = System.DateTime.Now;

        }

        #region Property Members

        public virtual int AutoID { get; set; }

        public virtual Guid GUID { get; set; }

        public virtual string Name { get; set; }

        public virtual bool Status { get; set; }

        public virtual int ParentID { get; set; }

        public virtual DateTime CreatDate { get; set; }

        public virtual int CreatUser { get; set; }

        public virtual DateTime ModifyDate { get; set; }

        public virtual int ModifyUser { get; set; }


        #endregion

    }
}
