﻿namespace DeviceRepair.Models.Enum
{
    public enum EnumPlanCompleteStatus
    {
        None,

        /// <summary>
        /// 已超时
        /// </summary>
        TimeOut,

        /// <summary>
        /// 已完成
        /// </summary>
        Complete,

        /// <summary>
        /// 当前月待处理
        /// </summary>
        Current,

        /// <summary>
        /// 未来处理
        /// </summary>
        Future
    }
}
