﻿using SqlSugar;
using System;

namespace DeviceRepair.Models.History
{
    /// <summary>
    /// DeviceLogInfo
    /// </summary>
    [SugarTable("DeviceLog")]
    public class DeviceHistory
    {
        /// <summary>
        /// 默认构造函数（需要初始化属性的在此处理）
        /// </summary>
        public DeviceHistory()
        {

        }

        #region Property Members

        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public virtual int AutoID { get; set; }

        public virtual int FormAutoID { get; set; }

        public virtual string FormCode { get; set; }

        public virtual string FormRev { get; set; }

        public virtual string FormName { get; set; }

        public virtual string FormBelong { get; set; }

        public virtual int EquipmentAutoID { get; set; }

        public virtual string EquipmentID { get; set; }

        public virtual string EquipmentName { get; set; }

        public virtual string Specification { get; set; }

        public virtual string OperationType { get; set; }

        public virtual DateTime OperationDate { get; set; }

        public virtual int OperationUser { get; set; }

        public virtual string OperationUserName { get; set; }

        public virtual string OperationIP { get; set; }

        public virtual string OperationComputer { get; set; }


        #endregion

    }
}
