﻿using SqlSugar;
using System;

namespace DeviceRepair.Models.History
{
    /// <summary>
    /// FormLogInfo
    /// </summary>
    [SugarTable("FormLog")]
    public class FormLogInfo
    {
        /// <summary>
        /// 默认构造函数（需要初始化属性的在此处理）
        /// </summary>
        public FormLogInfo()
        {

        }

        #region Property Members

        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public virtual int AutoID { get; set; }

        public virtual int FormID { get; set; }

        public virtual string FormName { get; set; }

        public virtual string FormVersionRev { get; set; }

        public virtual string OperationType { get; set; }

        public virtual DateTime OperationDate { get; set; }

        public virtual int OperationUser { get; set; }

        public virtual string OperationUserName { get; set; }

        public virtual string OperationIP { get; set; }

        public virtual string OperationComputer { get; set; }


        #endregion

    }
}
