﻿using SqlSugar;
using System;

namespace DeviceRepair.Models.History
{
    /// <summary>
    /// MaintenanceFormVersionHistoryInfo
    /// </summary>
    [SugarTable("MaintenanceFormVersionHistory")]
    public class MaintenanceFormVersionHistoryInfo
    {
        /// <summary>
        /// 默认构造函数（需要初始化属性的在此处理）
        /// </summary>
        public MaintenanceFormVersionHistoryInfo()
        {
            this.Guid = System.Guid.NewGuid();

        }

        #region Property Members

        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public virtual int AutoID { get; set; }

        public virtual Guid Guid { get; set; }

        public virtual int MaintenanceFormVersionAutoID { get; set; }

        public virtual string VersionCode { get; set; }

        public virtual string VersionRev { get; set; }

        public virtual string FormName { get; set; }

        public virtual string FormPath { get; set; }

        public virtual bool FormStatus { get; set; }

        public virtual string Remarks { get; set; }

        public virtual DateTime CreatDate { get; set; }

        public virtual int CreatUser { get; set; }

        public virtual string IPAddress { get; set; }

        public virtual string ClientMac { get; set; }

        public virtual string ClientName { get; set; }


        #endregion

    }
}
