﻿using SqlSugar;
using System;

namespace DeviceRepair.Models.History
{
    /// <summary>
    /// MaintenanceRecordHisInfo
    /// </summary>
    [SugarTable("MaintenanceRecordHis")]
    public class MaintenanceRecordHisInfo
    {
        /// <summary>
        /// 默认构造函数（需要初始化属性的在此处理）
        /// </summary>
        public MaintenanceRecordHisInfo()
        {

        }

        #region Property Members

        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public virtual int AutoID { get; set; }

        public virtual int HisID { get; set; }

        public virtual int OperationBy { get; set; }

        public virtual DateTime OperationDate { get; set; }

        public virtual int EquipmentPrimaryID { get; set; }

        public virtual string EquipmentID { get; set; }

        public virtual string EquipmentName { get; set; }

        public virtual string Specification { get; set; }

        public virtual int PlanPrimaryID { get; set; }

        public virtual string PlanType { get; set; }

        public virtual int FormPrimaryID { get; set; }

        public virtual string FormVersionCode { get; set; }

        public virtual string FormVersionRev { get; set; }

        public virtual string FormName { get; set; }

        public virtual int MYear { get; set; }

        public virtual string ContentData { get; set; }

        public virtual int CreateBy { get; set; }

        public virtual DateTime CreateDate { get; set; }

        public virtual int ModifyBy { get; set; }

        public virtual DateTime ModifyDate { get; set; }

        public virtual string Description { get; set; }


        #endregion

    }
}
