﻿using SqlSugar;
using System;

namespace DeviceRepair.Models.Logs
{
    /// <summary>
    /// DeviceMaintenanceLogInfo
    /// </summary>
    [SugarTable("DeviceMaintenanceLog")]
    public class DeviceMaintenanceLogInfo
    {
        /// <summary>
        /// 默认构造函数（需要初始化属性的在此处理）
        /// </summary>
        public DeviceMaintenanceLogInfo()
        {

        }

        #region Property Members

        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public virtual int AutoID { get; set; }

        public virtual int EquipmentAutoID { get; set; }

        public virtual string EquipmentID { get; set; }

        public virtual string EquipmentName { get; set; }

        public virtual string OperationType { get; set; }

        public virtual int PlanID { get; set; }

        public virtual string PlanType { get; set; }

        public virtual DateTime OperationDate { get; set; }

        public virtual int OperationUser { get; set; }

        public virtual string OperationUserName { get; set; }

        public virtual string OperationIP { get; set; }

        public virtual string OperationComputer { get; set; }


        #endregion

    }
}
