﻿using System;

namespace DeviceRepair.Models
{
    public class View_MaintenanceRecordList
    {
        /// <summary>
        /// 主键ID
        /// </summary>
        public int AutoID { get; set; }

        /// <summary>
        /// 设备主键编号
        /// </summary>
        public int EquipmentID { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        public string EquipmentNo { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        public string EquipmenName { get; set; }

        /// <summary>
        /// 点检表主键编号
        /// </summary>
        public int FormVersionID { get; set; }

        /// <summary>
        /// 点检表名称
        /// </summary>
        public string FormVersionName { get; set; }

        /// <summary>
        /// 点检表编码
        /// </summary>
        public string FormVersionCode { get; set; }

        /// <summary>
        /// 点检表版本
        /// </summary>
        public string FormVersionRev { get; set; }

        /// <summary>
        /// 计划表主键编号
        /// </summary>
        public int PlanPrimaryID { get; set; }

        /// <summary>
        /// 计划类型
        /// </summary>
        public string PlanType { get; set; }

        /// <summary>
        /// 计划保养年
        /// </summary>
        public int MaintenanceYear { get; set; }

        /// <summary>
        /// 计划保养月
        /// </summary>
        public int MaintenanceMonth { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateDate { get; set; }

        /// <summary>
        /// 创建人ID
        /// </summary>
        public int CreateUser { get; set; }

        /// <summary>
        /// 创建人姓名
        /// </summary>
        public string CreateUserName { get; set; }

    }
}
