﻿using SqlSugar;
using System;

namespace DeviceRepair.Models.Record
{
    [SugarTable("View_MaintenanceRecordHis")]
    public class MaintenanceRecordHistoryModel
    {
        /// <summary>
        /// 保养记录ID
        /// </summary>
        public int AutoID { get; set; }

        /// <summary>
        /// 计划表主键编号
        /// </summary>
        public int PlanID { get; set; }

        /// <summary>
        /// 设备表主键编号
        /// </summary>
        public int EquipmentPrimaryID { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        public string EquipmentID { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        public string EquipmentName { get; set; }

        /// <summary>
        /// 点检表名称
        /// </summary>
        public string FormName { get; set; }

        /// <summary>
        /// 点检表版本
        /// </summary>
        public string FormVersionCode { get; set; }

        /// <summary>
        /// 点检表编码
        /// </summary>
        public string FormVersionRev { get; set; }

        /// <summary>
        /// 保养类型
        /// </summary>
        public string MaintenanceType { get; set; }

        /// <summary>
        /// 保养人编号
        /// </summary>
        public int CreateBy { get; set; }

        /// <summary>
        /// 保养人姓名
        /// </summary>
        public string RealName { get; set; }

        /// <summary>
        /// 保养时间
        /// </summary>
        public DateTime CreateDate { get; set; }

        /// <summary>
        /// 保养日期
        /// </summary>
        public DateTime MaintenanceDate { get; set; }

        /// <summary>
        /// 保养班次
        /// </summary>
        public string Banci { get; set; }

        public string Belong { get; set; }
    }
}
