﻿namespace DeviceRepairAndOptimization.Models
{
    /// <summary>
    /// 文档维护参数表
    /// </summary>
    public class MaintenanceParamsModel
    {
        /// <summary>
        /// 设备表主键
        /// </summary>
        public int EquipmentPrimaryKey { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        public string EquipmentID { get; set; }

        /// <summary>
        /// 设备型号
        /// </summary>
        public string Specification { get; set; }

        /// <summary>
        /// 文档表主键
        /// </summary>
        public int VersionFormPrimaryKey { get; set; }

        /// <summary>
        /// 文档版本
        /// </summary>
        public string VersionForm { get; set; }

        /// <summary>
        /// 文档路径
        /// </summary>
        public string VersionFilePath { get; set; }
    }
}
