﻿using System;

namespace TsSFCDeivceClient.Model.DeviceWarrantyRequest
{
    public class DeviceWarrantyRequestAccessoriesInfo
    {
        /// <summary>
        /// 主键字段 
        ///</summary>
        public int AutoID { get; set; }

        /// <summary>
        /// 唯一编码 
        ///</summary>
        public Guid Guid { get; set; }

        /// <summary>
        /// 维修单主键编号
        /// </summary>
        public int MaintaionID { get; set; }

        /// <summary>
        /// 配件ID 
        ///</summary>
        public int FieldID { get; set; }

        /// <summary>
        /// 配件名称 
        ///</summary>
        public string FieldName { get; set; }

        /// <summary>
        /// 配件值 
        ///</summary>
        public string FieldValue { get; set; }

        /// <summary>
        /// 配件数量 
        ///</summary>
        public int AccessoriesCount { get; set; }

        /// <summary>
        /// 说明 
        ///</summary>
        public string Description { get; set; }

        /// <summary>
        ///  
        ///</summary>
        public DateTime CreatOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        public int CreatBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        public DateTime? ModifyOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        public int? ModifyBy { get; set; }
    }
}
