﻿using System;
using System.Runtime.InteropServices;

namespace DeviceRepair.Models.Attr
{
    /// <summary>
    /// 枚举描述特性
    /// </summary>
    [Serializable]
    [AttributeUsage(AttributeTargets.Field | AttributeTargets.Enum, AllowMultiple = false, Inherited = false)]
    [ComVisible(true)]
    public class EnumDescriptionAttribute : Attribute
    {
        /// <summary>
        /// 枚举描述
        /// </summary>
        private string _Desciption;
        /// <summary>
        /// 枚举描述
        /// </summary>
        public string Desciption
        {
            get { return _Desciption; }
            set { _Desciption = value; }
        }
        #region Ctor

        /// <summary>
        /// Ctor
        /// </summary>
        public EnumDescriptionAttribute()
            : this("枚举描述")
        {
        }
        /// <summary>
        /// Ctor
        /// </summary>
        /// <param name="_Description">枚举描述值</param>
        public EnumDescriptionAttribute(string _description)
        {
            _Desciption = _description;
        }
        #endregion
    }
}
