﻿using SqlSugar;

namespace DeviceRepair.Models
{
    public class View_DriveInfomationModel : DeviceInformationInfo
    {
        public View_DriveInfomationModel() { }

        public View_DriveInfomationModel(DeviceInformationInfo Dev)
        {
            AutoID = Dev.AutoID;
            GUID = Dev.GUID;
            EquipmentID = Dev.EquipmentID;
            EquipmentName = Dev.EquipmentName;
            Specification = Dev.Specification;
            Manufacturer = Dev.Manufacturer;
            SerialNumber = Dev.SerialNumber;
            UsingDate = Dev.UsingDate;
            Totalcapacity = Dev.Totalcapacity;
            Weight = Dev.Weight;
            EquipmentCategory = Dev.EquipmentCategory;
            EquipmentOriginalvalue = Dev.EquipmentOriginalvalue;
            EquipmentStatus = Dev.EquipmentStatus;
            WarrantyPeriod = Dev.WarrantyPeriod;
            InstallationLocation = Dev.InstallationLocation;
            OwningUnit = Dev.OwningUnit;
            OperatingParameters = Dev.OperatingParameters;
            MaintenanceFormVersion = Dev.MaintenanceFormVersion;
            MaintenanceAMFormVersion = Dev.MaintenanceAMFormVersion;
            Route = Dev.Route;
            CreatDate = Dev.CreatDate;
            CreatUser = Dev.CreatUser;
            ChangeDate = Dev.ChangeDate;
            ChangeUser = Dev.ChangeUser;
            Remarks = Dev.Remarks;
        }

        /// <summary>
        /// 点检表编码
        /// </summary>
        [SugarColumn(ColumnName = "VersionCode")]
        public string VersionCode { get; set; }

        /// <summary>
        /// 点检表版本
        /// </summary>
        [SugarColumn(ColumnName = "VersionRev")]
        public string VersionRev { get; set; }

        [SugarColumn(IsIgnore = true)]
        public string MaintenanceFormVersionName { get; set; }

        [SugarColumn(IsIgnore = true)]
        public string MaintenanceAMFormVersionName { get; set; }

        [SugarColumn(IsIgnore = true)]
        public bool MaintenanceFormStatus { get; set; }

        public string RouteText { get; set; }
    }
}
