﻿using System;

namespace DeviceRepair.Models.DeviceMaintenance
{
    public class DeviceWarrantyRequestFormFilter
    {
        /// <summary>
        /// 设备编号
        /// </summary>
        public string EquipmentID { get; set; }

        /// <summary>
        /// 停机单状态
        /// </summary>
        public DeviceWarrantyRequestFormStatus Status { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime? StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime? EndTime { get; set; }

        /// <summary>
        /// 设备停机状态
        /// </summary>
        public DeviceRunningStatus DownStatus { get; set; } = DeviceRunningStatus.All;
    }
}
