﻿using DeviceRepair.Models.Enum;

namespace DeviceRepair.Models
{
    public class MaintenanceFormFilter
    {
        /// <summary>
        /// 筛选关键字
        /// </summary>
        public string FilterText { get; set; }

        /// <summary>
        /// 主键编号
        /// </summary>
        public int PrimaryKey { get; set; }

        /// <summary>
        /// 点检表编号
        /// </summary>
        public string VersionCode { get; set; }

        /// <summary>
        /// 点检表版本
        /// </summary>
        public string VersionRev { get; set; }

        /// <summary>
        /// 点检表名称
        /// </summary>
        public string FormName { get; set; }

        /// <summary>
        /// 点检表备注
        /// </summary>
        public string Remarks { get; set; }

        /// <summary>
        /// 归属
        /// </summary>
        public EnumDeviceBelong FormBelong { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        public bool FormStatus { get; set; }

    }
}
