﻿using DeviceRepair.Models.Enum;
using System;

namespace DeviceRepair.Models.Preserve
{
    /// <summary>
    /// 分配表单到设备
    /// </summary>
    [Serializable]
    public class SubmitAssignFormsToDevices
    {
        /// <summary>
        /// 设备表主键编号
        /// </summary>

        public int EquipmentAutoID { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        public string EquipmentID { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        public string EquipmentName { get; set; }

        /// <summary>
        /// 规格型号
        /// </summary>
        public string Specification { get; set; }

        /// <summary>
        /// 检验表主键ID
        /// </summary>
        public int FormAutoID { get; set; }

        /// <summary>
        /// 检验表编号
        /// </summary>
        public string VersionCode { get; set; }

        /// <summary>
        /// 检验表版本
        /// </summary>
        public string VersionRev { get; set; }

        /// <summary>
        /// 检验表名称
        /// </summary>
        public string FormName { get; set; }

        /// <summary>
        /// 操作类型
        /// </summary>
        public EnumOperationType OperationType { get; set; }

        public EnumDeviceBelong Belong { get; set; }
    }
}
