﻿using System;

namespace DeviceRepair.Models
{
    public class HeaderModel
    {
        /// <summary>
        /// 操作人
        /// </summary>
        public int Operator { get; set; }

        /// <summary>
        /// 操作人编码
        /// </summary>
        public string OperatorCode { get; set; }

        /// <summary>
        /// 操作人姓名
        /// </summary>
        public string OperatorName { get; set; }

        /// <summary>
        /// SFC 过来的用户GUID
        /// </summary>
        public Guid? OperatorGUID { get; set; }

        /// <summary>
        /// 客户端IP地址
        /// </summary>
        public string IPAddress { get; set; }

        /// <summary>
        /// 客户端Mac地址
        /// </summary>
        public string ClientMac { get; set; }

        /// <summary>
        /// 客户端计算机名
        /// </summary>
        public string ClientName { get; set; }
    }
}
