﻿using SqlSugar;
using System;

namespace DeviceRepair.Models
{
    /// <summary>
    /// PlanlogInfo
    /// </summary>
    [SugarTable("Planlog")]
    public class PlanlogInfo
    {
        /// <summary>
        /// 默认构造函数（需要初始化属性的在此处理）
        /// </summary>
        public PlanlogInfo()
        {

        }

        #region Property Members

        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public virtual int AutoID { get; set; }

        public virtual int EquipmentAutoID { get; set; }

        public virtual string EquipmentID { get; set; }

        public virtual string OperationType { get; set; }

        public virtual int PlanYear { get; set; }

        public virtual int PlanMonth { get; set; }

        public virtual string PlanType { get; set; }

        public virtual DateTime OperationDate { get; set; }

        public virtual int OperationUser { get; set; }

        public virtual string OperationUserName { get; set; }

        public virtual string OperationIP { get; set; }

        public virtual string OperationComputer { get; set; }


        #endregion

    }
}
