﻿using DeviceRepair.Models.Enum;
using SqlSugar;
using System;

namespace DeviceRepair.Models.History
{

    [SugarTable("UserConfirmHistory")]
    public class UserConfirmHistory
    {
        /// <summary>
        /// Tag 表自增长主键
        /// </summary>
        [SugarColumn(ColumnName = "AutoID", IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        public string cModel { get; set; }

        public string cContent { get; set; }

        public string ConfirmAuth { get; set; }

        public string UserCode { get; set; }

        [SugarColumn(IsIgnore = true)]
        public string PassWord { get; set; }

        public DateTime CreateOn { get; set; }

        public string ClientIP { get; set; }

        public string ClientMAC { get; set; }

        public string ClientName { get; set; }

        public string Note { get; set; }

        public bool bSuccess { get; set; }
    }
}
