﻿using SqlSugar;
using System;

namespace DeviceRepair.Models.History
{
    /// <summary>
    /// RoleAuthLogInfo
    /// </summary>
    [SugarTable("RoleAuthLog")]
    public class RoleAuthLogInfo
    {
        /// <summary>
        /// 默认构造函数（需要初始化属性的在此处理）
        /// </summary>
        public RoleAuthLogInfo()
        {

        }

        #region Property Members

        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public virtual int AutoID { get; set; }

        public virtual int RoleAutoID { get; set; }

        public virtual int AuthAutoID { get; set; }

        public virtual string OperationContent { get; set; }

        public virtual string OperationType { get; set; }

        public virtual DateTime OperationDate { get; set; }

        public virtual int OperationUser { get; set; }

        public virtual string OperationUserName { get; set; }

        public virtual string OperationIP { get; set; }

        public virtual string OperationComputer { get; set; }

        public virtual string Description { get; set; }


        #endregion

    }
}
