﻿using SqlSugar;
using System;

namespace DeviceRepair.Models.History
{
    /// <summary>
    /// UserLoginLogInfo
    /// </summary>
    [Serializable]
    [SugarTable("UserLoginLog")]
    public class UserLogin
    {
        /// <summary>
        /// 默认构造函数（需要初始化属性的在此处理）
        /// </summary>
        public UserLogin()
        {

        }

        #region Property Members

        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        public string LoginCode { get; set; }

        [SugarColumn(IsIgnore = true)]
        public string RealName { get; set; }

        public string OperationType { get; set; }

        [SugarColumn(IsOnlyIgnoreInsert = true)]
        public DateTime OperationDate { get; set; }

        public string OperationIP { get; set; }

        public string OperationComputer { get; set; }

        #endregion

    }
}
