﻿using System;

namespace DeviceRepair.Models
{
    /// <summary>
    /// 密码策略类型枚举
    /// </summary>
    [Flags]
    public enum PasswordStrategyType : byte
    {
        /// <summary>
        /// 大写字母
        /// </summary>
        UpperCaseLetter = 0x01,
        /// <summary>
        /// 小写字母
        /// </summary>
        LowerCaseLetter = 0x02,
        /// <summary>
        /// 数字
        /// </summary>
        Number = 0x04,
        /// <summary>
        /// 特殊字符
        /// </summary>
        SpecialCharacter = 0x08
    }
}
