﻿using System;

namespace DeviceRepair.Models.Plan
{
    public class PlanItemDates
    {
        /// <summary>
        /// 设备编号
        /// </summary>
        public int EquipmentID { get; set; }

        /// <summary>
        /// 操作人
        /// </summary>
        public int OperationID { get; set; }

        /// <summary>
        /// 最大时间
        /// </summary>
        public DateTime MaxTime { get; set; }

        /// <summary>
        /// 最小时间
        /// </summary>
        public DateTime MinTime { get; set; }

        public DateTime? GetMaxTime()
        {
            return MaxTime == MinTime ? null : (DateTime?)MaxTime;
        }
    }
}
