﻿using SqlSugar;
using System;

namespace DeviceRepair.Models
{
    [Serializable]
    [SugarTable("Auths")]
    public class AuthModel
    {
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        [SugarColumn(ColumnName = "GUID")]
        public Guid GUID { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        public string AuthCode { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        public string AuthName { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        public string FatherAuthCode { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [SugarColumn(ColumnName = "CreateBy")]
        public int CreateBy { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [SugarColumn(ColumnName = "CreateOn")]
        public DateTime CreateOn { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [SugarColumn(ColumnName = "ModifyBy")]
        public int? ModifyBy { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [SugarColumn(ColumnName = "ModifyOn")]
        public DateTime? ModifyOn { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        [SugarColumn(ColumnName = "Note")]
        public string Note { get; set; }
    }
}
