﻿namespace DeviceRepair.Models
{
    public static class AuthCodeConstValue
    {
        /// <summary>
        /// 基础数据
        /// </summary>
        public const string BASE = "BASE";

        #region 账户权限
        /// <summary>
        /// 账号管理
        /// </summary>
        public const string Base_UserManager = "BASE_USER";

        /// <summary>
        /// 查看
        /// </summary>
        public const string Base_User_Watch = "BASE_USER_01";

        /// <summary>
        /// 新增
        /// </summary>
        public const string Base_User_Add = "BASE_USER_02";

        /// <summary>
        /// 修改
        /// </summary>
        public const string Base_User_Edit = "BASE_USER_03";

        /// <summary>
        /// 导入
        /// </summary>
        public const string Base_User_Import = "BASE_USER_04";

        /// <summary>
        /// 角色分配
        /// </summary>
        public const string Base_UserAssign = "BASE_USER_05";

        /// <summary>
        /// 锁定/解锁
        /// </summary>
        public const string Base_User_Lock = "BASE_USER_06";

        /// <summary>
        /// 密码重置
        /// </summary>
        public const string Base_User_Reset = "BASE_USER_07";
        #endregion

        #region 角色
        /// <summary>
        /// 角色管理
        /// </summary>
        public const string Base_RoleManager = "BASE_ROLE";

        /// <summary>
        /// 角色管理查看
        /// </summary>
        public const string Base_Role_Watch = "BASE_ROLE_01";

        /// <summary>
        /// 角色增加
        /// </summary>
        public const string Base_Role_Add = "BASE_ROLE_02";

        /// <summary>
        /// 角色修改
        /// </summary>
        public const string Base_Role_Edit = "BASE_ROLE_03";

        /// <summary>
        /// 角色锁定/解锁
        /// </summary>
        public const string Base_Role_Lock = "BASE_ROLE_04";

        /// <summary>
        /// 角色分配权限
        /// </summary>
        public const string Base_Role_Assign = "BASE_ROLE_05";

        /// <summary>
        /// 角色分配账号
        /// </summary>
        public const string Base_Role_AssignUser = "BASE_ROLE_06";

        #endregion

        /// <summary>
        /// 系统设置
        /// </summary>
        public const string Base_Config = "BASE_CONFIG";

        /// <summary>
        /// 业务权限
        /// </summary>
        public const string BIZ = "BIZ";

        /// <summary>
        /// 设备台账
        /// </summary>
        public const string BIZ_DEVICELEDGER = "BIZ_DEVICELEDGER";

        /// <summary>
        /// 设备台账查看
        /// </summary>
        public const string BIZ_DEVICELEDGER_01 = "BIZ_DEVICELEDGER_01";

        /// <summary>
        /// 设备台账新增
        /// </summary>
        public const string BIZ_DEVICELEDGER_02 = "BIZ_DEVICELEDGER_02";

        /// <summary>
        /// 设备台账编辑
        /// </summary>
        public const string BIZ_DEVICELEDGER_03 = "BIZ_DEVICELEDGER_03";

        /// <summary>
        /// 设备维修
        /// </summary>
        public const string BIZ_REPAIRRECORD = "BIZ_REPAIRRECORD";

        /// <summary>
        /// 设备维修查看
        /// </summary>
        public const string BIZ_REPAIRRECORD_01 = "BIZ_REPAIRRECORD_01";

        /// <summary>
        /// 设备维修编辑
        /// </summary>
        public const string BIZ_REPAIRRECORD_02 = "BIZ_REPAIRRECORD_02";

        /// <summary>
        /// 设备维修导入
        /// </summary>
        public const string BIZ_REPAIRRECORD_03 = "BIZ_REPAIRRECORD_03";

        /// <summary>
        /// 设备维修导出
        /// </summary>
        public const string BIZ_REPAIRRECORD_04 = "BIZ_REPAIRRECORD_04";

        /// <summary>
        /// 设备维修确认权限-工程师
        /// </summary>
        public const string BIZ_REPAIRRECORD_05 = "BIZ_REPAIRRECORD_05";

        /// <summary>
        /// 设备维修确认权限-技术人员
        /// </summary>
        public const string BIZ_REPAIRRECORD_06 = "BIZ_REPAIRRECORD_06";

        /// <summary>
        /// 设备维修确认权限-维修主管
        /// </summary>
        public const string BIZ_REPAIRRECORD_07 = "BIZ_REPAIRRECORD_07";

        /// <summary>
        /// 设备维修打印
        /// </summary>
        public const string BIZ_REPAIRRECORD_08 = "BIZ_REPAIRRECORD_08";

        /// <summary>
        /// 字段配置
        /// </summary>
        public const string BIZ_FIELD = "BIZ_FIELD";

        /// <summary>
        /// 现象区分
        /// </summary>
        public const string BIZ_FIELD_SYMPTOMLDISTINCTION = "BIZ_FIELD_SYMPTOMLDISTINCTION";

        /// <summary>
        /// 新增
        /// </summary>
        public const string BIZ_FIELD_SYMPTOMLDISTINCTION_01 = "BIZ_FIELD_SYMPTOMLDISTINCTION_01";

        /// <summary>
        /// 编辑
        /// </summary>
        public const string BIZ_FIELD_SYMPTOMLDISTINCTION_02 = "BIZ_FIELD_SYMPTOMLDISTINCTION_02";

        /// <summary>
        /// 删除
        /// </summary>
        public const string BIZ_FIELD_SYMPTOMLDISTINCTION_03 = "BIZ_FIELD_SYMPTOMLDISTINCTION_03";

        /// <summary>
        /// 维修方式
        /// </summary>
        public const string BIZ_FIELD_MAINTENANCE = "BIZ_FIELD_MAINTENANCE";

        /// <summary>
        /// 新增
        /// </summary>
        public const string BIZ_FIELD_MAINTENANCE_01 = "BIZ_FIELD_MAINTENANCE_01";

        /// <summary>
        /// 编辑
        /// </summary>
        public const string BIZ_FIELD_MAINTENANCE_02 = "BIZ_FIELD_MAINTENANCE_02";

        /// <summary>
        /// 删除
        /// </summary>
        public const string BIZ_FIELD_MAINTENANCE_03 = "BIZ_FIELD_MAINTENANCE_03";

        /// <summary>
        /// 配件维护
        /// </summary>
        public const string BIZ_FIELD_ACCESSORIES = "BIZ_FIELD_ACCESSORIES";

        /// <summary>
        /// 新增
        /// </summary>
        public const string BIZ_FIELD_ACCESSORIES_01 = "BIZ_FIELD_ACCESSORIES_01";

        /// <summary>
        /// 编辑
        /// </summary>
        public const string BIZ_FIELD_ACCESSORIES_02 = "BIZ_FIELD_ACCESSORIES_02";

        /// <summary>
        /// 删除
        /// </summary>
        public const string BIZ_FIELD_ACCESSORIES_03 = "BIZ_FIELD_ACCESSORIES_03";

        /// <summary>
        /// 故障发生地
        /// </summary>
        public const string BIZ_FIELD_WHEREFAILUREOCCURRED = "BIZ_FIELD_WHEREFAILUREOCCURRED";

        /// <summary>
        /// 新增
        /// </summary>
        public const string BIZ_FIELD_WHEREFAILUREOCCURRED_01 = "BIZ_FIELD_WHEREFAILUREOCCURRED_01";

        /// <summary>
        /// 编辑
        /// </summary>
        public const string BIZ_FIELD_WHEREFAILUREOCCURRED_02 = "BIZ_FIELD_WHEREFAILUREOCCURRED_02";

        /// <summary>
        /// 删除
        /// </summary>
        public const string BIZ_FIELD_WHEREFAILUREOCCURRED_03 = "BIZ_FIELD_WHEREFAILUREOCCURRED_03";

        /// <summary>
        /// Tag
        /// </summary>
        public const string BIZ_TAG = "BIZ_TAG";

        /// <summary>
        /// Tag查看
        /// </summary>
        public const string BIZ_TAG_01 = "BIZ_TAG_01";

        /// <summary>
        /// Tag接收
        /// </summary>
        public const string BIZ_TAG_02 = "BIZ_TAG_02";

        /// <summary>
        /// Tag导出
        /// </summary>
        public const string BIZ_TAG_03 = "BIZ_TAG_03";

        /// <summary>
        /// Tag修改
        /// </summary>
        public const string BIZ_TAG_04 = "BIZ_TAG_04";

        /// <summary>
        /// 设备保养计划
        /// </summary>
        public const string BIZ_PLAN = "BIZ_PLAN";

        /// <summary>
        /// 设备的AM保养计划
        /// </summary>
        public const string BIZ_PLAN_AM = "BIZ_PLAN_AM";

        /// <summary>
        /// 新增
        /// </summary>
        public const string BIZ_PLAN_AM_01 = "BIZ_PLAN_AM_01";

        /// <summary>
        /// 编辑
        /// </summary>
        public const string BIZ_PLAN_AM_02 = "BIZ_PLAN_AM_02";

        /// <summary>
        /// 删除
        /// </summary>
        public const string BIZ_PLAN_AM_03 = "BIZ_PLAN_AM_03";

        /// <summary>
        /// 导入
        /// </summary>
        public const string BIZ_PLAN_AM_04 = "BIZ_PLAN_AM_04";

        /// <summary>
        /// 导出
        /// </summary>
        public const string BIZ_PLAN_AM_05 = "BIZ_PLAN_AM_05";

        /// <summary>
        /// 查看
        /// </summary>
        public const string BIZ_PLAN_AM_06 = "BIZ_PLAN_AM_06";

        /// <summary>
        /// 设备的PM保养计划
        /// </summary>
        public const string BIZ_PLAN_PM = "BIZ_PLAN_PM";

        /// <summary>
        /// 新增
        /// </summary>
        public const string BIZ_PLAN_PM_01 = "BIZ_PLAN_PM_01";

        /// <summary>
        /// 编辑
        /// </summary>
        public const string BIZ_PLAN_PM_02 = "BIZ_PLAN_PM_02";

        /// <summary>
        /// 删除
        /// </summary>
        public const string BIZ_PLAN_PM_03 = "BIZ_PLAN_PM_03";

        /// <summary>
        /// 导入
        /// </summary>
        public const string BIZ_PLAN_PM_04 = "BIZ_PLAN_PM_04";

        /// <summary>
        /// 导出
        /// </summary>
        public const string BIZ_PLAN_PM_05 = "BIZ_PLAN_PM_05";

        /// <summary>
        /// 查看
        /// </summary>
        public const string BIZ_PLAN_PM_06 = "BIZ_PLAN_PM_06";

        /// <summary>
        /// 点检表维护
        /// </summary>
        public const string BIZ_FormVersion = "BIZ_FormVersion";

        /// <summary>
        /// AM的点检表维护
        /// </summary>
        public const string BIZ_FormVersion_AM = "BIZ_FormVersion_AM";

        /// <summary>
        /// 查看
        /// </summary>
        public const string BIZ_FormVersion_AM_01 = "BIZ_FormVersion_AM_01";

        /// <summary>
        /// 新增
        /// </summary>
        public const string BIZ_FormVersion_AM_02 = "BIZ_FormVersion_AM_02";

        /// <summary>
        /// 编辑
        /// </summary>
        public const string BIZ_FormVersion_AM_03 = "BIZ_FormVersion_AM_03";

        /// <summary>
        /// 设备绑定
        /// </summary>
        public const string BIZ_FormVersion_AM_04 = "BIZ_FormVersion_AM_04";

        /// <summary>
        /// 启用/禁用
        /// </summary>
        public const string BIZ_FormVersion_AM_05 = "BIZ_FormVersion_AM_05";

        /// <summary>
        /// PM的点检表维护
        /// </summary>
        public const string BIZ_FormVersion_PM = "BIZ_FormVersion_PM";

        /// <summary>
        /// 查看
        /// </summary>
        public const string BIZ_FormVersion_PM_01 = "BIZ_FormVersion_PM_01";

        /// <summary>
        /// 新增
        /// </summary>
        public const string BIZ_FormVersion_PM_02 = "BIZ_FormVersion_PM_02";

        /// <summary>
        /// 编辑
        /// </summary>
        public const string BIZ_FormVersion_PM_03 = "BIZ_FormVersion_PM_03";

        /// <summary>
        /// 设备绑定
        /// </summary>
        public const string BIZ_FormVersion_PM_04 = "BIZ_FormVersion_PM_04";

        /// <summary>
        /// 启用/禁用
        /// </summary>
        public const string BIZ_FormVersion_PM_05 = "BIZ_FormVersion_PM_05";

        /// <summary>
        /// 设备保养
        /// </summary>
        public const string BIZ_PRESERVE = "BIZ_PRESERVE";

        /// <summary>
        /// AM的设备保养
        /// </summary>
        public const string BIZ_PRESERVE_AM = "BIZ_PRESERVE_AM";

        /// <summary>
        /// PM的设备保养
        /// </summary>
        public const string BIZ_PRESERVE_PM = "BIZ_PRESERVE_PM";

        /// <summary>
        /// 设备保养记录
        /// </summary>
        public const string BIZ_PRESERVE_LOG = "BIZ_PRESERVE_LOG";

        /// <summary>
        /// AM的保养记录
        /// </summary>
        public const string BIZ_PRESERVE_LOG_AM = "BIZ_PRESERVE_LOG_AM";

        /// <summary>
        /// 查看
        /// </summary>
        public const string BIZ_PRESERVE_LOG_AM_01 = "BIZ_PRESERVE_LOG_AM_01";

        /// <summary>
        /// 编辑
        /// </summary>
        public const string BIZ_PRESERVE_LOG_AM_02 = "BIZ_PRESERVE_LOG_AM_02";

        /// <summary>
        /// 打印
        /// </summary>
        public const string BIZ_PRESERVE_LOG_AM_03 = "BIZ_PRESERVE_LOG_AM_03";

        /// <summary>
        /// 导出
        /// </summary>
        public const string BIZ_PRESERVE_LOG_AM_04 = "BIZ_PRESERVE_LOG_AM_04";

        /// <summary>
        /// PM的保养记录
        /// </summary>
        public const string BIZ_PRESERVE_LOG_PM = "BIZ_PRESERVE_LOG_PM";

        /// <summary>
        /// 查看
        /// </summary>
        public const string BIZ_PRESERVE_LOG_PM_01 = "BIZ_PRESERVE_LOG_PM_01";

        /// <summary>
        /// 编辑
        /// </summary>
        public const string BIZ_PRESERVE_LOG_PM_02 = "BIZ_PRESERVE_LOG_PM_02";

        /// <summary>
        /// 打印
        /// </summary>
        public const string BIZ_PRESERVE_LOG_PM_03 = "BIZ_PRESERVE_LOG_PM_03";

        /// <summary>
        /// 导出
        /// </summary>
        public const string BIZ_PRESERVE_LOG_PM_04 = "BIZ_PRESERVE_LOG_PM_04";

        /// <summary>
        /// 数据权限
        /// </summary>
        public const string LOGS = "LOGS";

        /// <summary>
        /// 用户登录登出日志
        /// </summary>
        public const string LOGS_USERLOGIN = "LOGS_USERLOGIN";

        /// <summary>
        /// 设备数据权限
        /// </summary>
        public const string DEVICE = "DEVICE";

        /// <summary>
        /// KH设备数据权限
        /// </summary>
        public const string DEVICE_KH = "DEVICE_KH";

        /// <summary>
        /// OEM设备数据权限
        /// </summary>
        public const string DEVICE_OEM = "DEVICE_OEM";

    }
}
