﻿namespace DeviceRepairAndOptimization.Models
{
    public class ExcelContent
    {
        /// <summary>
        /// 行坐标
        /// </summary>
        public int RowIndex { get; set; }

        /// <summary>
        /// 列坐标
        /// </summary>
        public int ColumnIndex { get; set; }

        /// <summary>
        /// 值
        /// </summary>
        public string Text { get; set; }

        /// <summary>
        /// 类型
        /// </summary>
        public ExcelContentType ContentType { get; set; }
    }

    public enum ExcelContentType
    {
        Text,
        Number,
        Year,
        Date,
        Name
    }
}
