﻿namespace DeviceRepairAndOptimization.Models.GridControlModel
{
    public class frm_PlanView
    {
        /// <summary>
        /// 设备表主键编号
        /// </summary>
        public int EquipmentID { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        public string EquipmentCode { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        public string EquipmentName { get; set; }

        /// <summary>
        /// 设备型号规格
        /// </summary>
        public string Specification { get; set; }

        /// <summary>
        /// 制造厂家
        /// </summary>
        public string Manufacturer { get; set; }

        /// <summary>
        /// 出厂编号
        /// </summary>
        public string SerialNumber { get; set; }

        /// <summary>
        /// 投产年月
        /// <summary>        
        public string UsingDate { get; set; }

        /// <summary>
        /// 设备类别
        /// <summary>
        public string EquipmentCategory { get; set; }

        /// <summary>
        /// 设备状态
        /// <summary>
        public int EquipmentStatus { get; set; }

        /// <summary>
        /// 安装地点
        /// <summary>
        public string InstallationLocation { get; set; }

        /// <summary>
        /// 所属单元
        /// <summary>
        public string OwningUnit { get; set; }

        public string January { get; set; }
        public string February { get; set; }
        public string March { get; set; }
        public string April { get; set; }
        public string May { get; set; }
        public string June { get; set; }
        public string July { get; set; }
        public string August { get; set; }
        public string September { get; set; }
        public string October { get; set; }
        public string November { get; set; }
        public string Decembe { get; set; }

        /// <summary>
        /// 新PM起始月份
        /// </summary>
        public string PMStartMonth { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Description { get; set; }
    }
}