﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace DeviceRepairAndOptimization.Models.SugarModel
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("UserSetting")]
    public partial class UserSetting
    {
        public UserSetting()
        {


        }
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>           
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        /// <summary>
        /// Desc:用户编号
        /// Default:
        /// Nullable:False
        /// </summary>           
        public int UserID { get; set; }

        /// <summary>
        /// Desc:计划提前提醒周期(天)
        /// Default:30
        /// Nullable:True
        /// </summary>           
        public int? PlanAlarmCycle { get; set; }

        /// <summary>
        /// Desc:创建日期
        /// Default:
        /// Nullable:True
        /// </summary>       
        public DateTime? CreateDate { get; set; }

        /// <summary>
        /// Desc:最后修改日期
        /// Default:
        /// Nullable:True
        /// </summary>  
        public DateTime? LastUpdateDate { get; set; }

    }
}
