﻿using System;

namespace DeviceRepairAndOptimization.Models.Views
{
    public class View_DriveRepairLogs
    {
        /// <summary>
        /// 自增长主键
        /// <summary>
        public int AutoID { get; set; }

        /// <summary>
        /// 设备表主键编号
        /// <summary>
        public int EquipmentID { get; set; }

        /// <summary>
        /// 报修单元
        /// <summary>
        public string RepairUnit { get; set; }

        /// <summary>
        /// 单元长--员工表主键
        /// <summary>
        public int UnitLeader { get; set; }

        /// <summary>
        /// 故障描述
        /// <summary>
        public string FaultDescription { get; set; }

        /// <summary>
        /// 维修人员
        /// <summary>
        public int RepairPersonnel { get; set; }

        /// <summary>
        /// 维修人姓名
        /// </summary>
        public string RepairPersonnelName { get; set; }

        /// <summary>
        /// 维修日期
        /// <summary>
        public DateTime? RepairDate { get; set; }

        /// <summary>
        /// 有无产品评估信息 - 0:无 1:有
        /// <summary>
        public int EvaluateInfo { get; set; }
    }
}
