﻿namespace TsSFCDeivceClient
{
    public sealed class DeviceApiUrlConstValue
    {
        /// <summary>
        /// 获取SFC用户权限
        /// </summary>
        public const string GetTsSFCUserAuths = "/Api/TsSFC/GetTsSFCUserAuths?UserGuid=";

        /// <summary>
        /// 
        /// </summary>
        public const string GetTheEquipmentInMaintenance = "/Api/TsSFC/GetTheEquipmentInMaintenance?EquipmentID=";

        /// <summary>
        /// 获取故障发生地
        /// </summary>
        public const string GetWhereFailureOccurred = "/Api/Field/GetQuery?Code=WhereFailureOccurred";

        /// <summary>
        /// 获取全部设备信息（部分字段）
        /// </summary>
        public const string GetDeviceDatas = "/Api/Device/GetQuery";

        /// <summary>
        /// 获取设备维修单信息
        /// </summary>
        public const string GetMaintenance = "/Api/Maintenance/GetDatas";

        /// <summary>
        /// 设备维修单QA、EA评估
        /// </summary>
        public const string MaintenanceFormAssessment = "/Api/Maintenance/DownFormAssessment";

        /// <summary>
        /// 维修单新增
        /// </summary>
        public const string DeviceDownFormAdd = "/Api/Maintenance/DeviceDownFormAdd";

        /// <summary>
        /// 设备恢复确认
        /// </summary>
        public const string DeviceResumptionComfirm = "/Api/Maintenance/DeviceResumptionComfirm";

        /// <summary>
        /// 获取批次信息
        /// </summary>
        public const string GetBatchInfoToStaff = "/Api/Maintenance/GetBatchInfoToStaff";

        /// <summary>
        /// 获取PE QE 信息
        /// </summary>
        public const string CurrentBatchManagerEmail = "/Api/Maintenance/CurrentBatchManagerEmail";

        /// <summary>
        /// 判断当前账户是否PE QE
        /// </summary>
        public const string CurrentIsManager = "/Api/Maintenance/CurrentIsManager";

        /// <summary>
        /// 邮箱发送配置
        /// </summary>
        public const string SysEmailConfig = "/Api/Common/sysEmailConfigByModuleCode";

        /// <summary>
        /// Tag表单数据获取
        /// </summary>
        public const string Tag_Get_Datas = "/Api/Tag/GetDatas";

        /// <summary>
        /// Tag数据新增
        /// </summary>
        public const string Tag_Creat_Record = "/Api/Tag/Creat";
    }
}
