﻿namespace TsSFC.Base.Model.Device
{
    public sealed class DeviceApiUrlConstValue
    {


        /// <summary>
        /// 获取故障发生地
        /// </summary>
        public const string GetWhereFailureOccurred = "/Api/Field/GetQuery?Code=WhereFailureOccurred";

        /// <summary>
        /// 获取全部设备信息（部分字段）
        /// </summary>
        public const string GetDeviceDatas = "/Api/Device/GetQuery";

        /// <summary>
        /// 获取设备维修单信息
        /// </summary>
        public const string GetMaintenance = "/Api/Maintenance/GetDatas";

        /// <summary>
        /// 设备维修单QA、EA评估
        /// </summary>
        public const string MaintenanceFormAssessment = "/Api/Maintenance/DownFormAssessment";

        /// <summary>
        /// 维修单新增
        /// </summary>
        public const string DeviceDownFormAdd = "/Api/Maintenance/DeviceDownFormAdd";

        /// <summary>
        /// 设备恢复确认
        /// </summary>
        public const string DeviceResumptionComfirm = "/Api/Maintenance/DeviceResumptionComfirm";


    }
}
